public class GenderNewTest{
  enum Gender{  //定义了一个Gender内部类
    FEMALE("女性"),
    MALE("男性");
  
    private String description;  //Gender类的一个属性
    
    private Gender(String description){  //Gender类的构造方法
      this. description=description;	
    }
    
    public String getDescription(){
      return description; 
    }
  }
  
  public static void main(String[] args){
    //遍历Gender类的所有常量
    for( Gender g:Gender.values())
      System.out.println(g.name()+" "+g.getDescription());
  		
    Gender g=Gender.valueOf("FEMALE");
    System.out.println(g.getDescription());
  }     
}

/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
